require( "scripts/style.lua" );


GameModeFont = {
  standardFont,
  35,
  BorderColor
};

InfoFont = {
  standardFont,
  18,
  BorderColor
};

BestScoreFont = {
  standardFont,
  14,
  BlackColor;
};



MakeDialog
{
	Bitmap
	{
		name="backgroundimage",
		image="map/map",
		
		ChooseRestaurant
		{ 
			x=0,
			y=0,
			w=800,
			h=600,
			name="chooserestaurantwin",
				
			SetStyle(SolidButtonStyle);
			
			Button
			{
				x=650,
				y=10,
				name="back",
				label="back",
				command=
					function()
						SetTopModalOnly(false);
						PopModal();
					end
			},
			
			Button
			{
				x=360,
				y=560,
				name="play",
				label="play",
				command=
					function()
						SetTopModalOnly(false);
						SetupGame();
						ReleaseMapAssets();
						PopModal();
						SwapToModalSetName("scripts/game.lua");
					end
			},
			
			Button
			{
				x=30,
				y=10,
				name="lockedlevels",
				label="lockedlevels",
				command=
					function()
						SetTopModalOnly(false);
						DoModal("scripts/lockedlevels.lua");
					end
			},
			
			SetStyle(DefaultStyle);
			
			
		
			
			Bitmap
			{
				x = 340,
				y = 435,
				name="bestscoreimage",
				image = "map/map_high_score",
				Text
				{
					font = BestScoreFont,
					name="bestscore",
					label="bestscore",
					x=0,
					y=4,
					w=kMax,
					h=kMax,
					flags = kHAlignCenter + kVAlignCenter,
					padding = 0
				},
			},

			
			
		}
	},
	
	
};

SetTopModalOnly(true);
